Site Audit
Get broken resources
List all broken resources (images, CSS files, JavaScript files) discovered during the crawl with their HTTP status codes and the pages they were found on.
GET
/
v1
/
projects
/
{project_id}
/
audits
/
{audit_id}
/
resources
Get broken resources
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resources": [
{
"resource_url": "<string>",
"page_url": "<string>",
"resource_type": "<string>",
"status_code": 123
}
],
"total": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
⌘I
Get broken resources
